RGroupGa.h File Reference
`#include <vector>`
`#include <memory>`
`#include <map>`
`#include <chrono>`
`#include "../../../External/GA/ga/StringChromosome.h"`
`#include "../../../External/GA/ga/GaBase.h"`
`#include "../../../External/GA/ga/GaOperation.h"`
`#include "../../../External/GA/ga/LinkedPopLinearSel.h"`
`#include "../../../External/GA/ga/IntegerStringChromosomePolicy.h"`
`#include "RGroupFingerprintScore.h"`
`#include "RGroupScore.h"`

Go to the source code of this file.

## Classes

class | RDKit::RGroupDecompositionChromosome
struct | RDKit::GaResult
class | RDKit::RGroupGa

## Namespaces

| RDKit
| Std stuff.

## Typedefs

typedef LinkedPopLinearSel< RGroupDecompositionChromosome, RGroupGa > | RDKit::RGroupGaPopulation

## Enumerations

enum | RDKit::OperationName { RDKit::RgroupMutate = 0x01 , RDKit::Crossover = 0x02 , RDKit::Create = 0x04 }

## Functions

void | RDKit::copyVarianceData (const FingerprintVarianceScoreData &fromData, FingerprintVarianceScoreData &toData)
void | RDKit::clearVarianceData (FingerprintVarianceScoreData &fingerprintVarianceScoreData)